/*
	No Dash and Search in Overview
	(c) fthx & freeroot
	License: GPL v3
*/

const Main = imports.ui.main;

// Initialize variables
let originalStartSearch;
let originalOnTextChanged;
let originalDashWidth;

function init() {
    // Dash width
    originalDashWidth = Main.overview.dash.width;

    // Search entry
    originalStartSearch = Main.overview.viewSelector.startSearch;
    originalOnTextChanged = Main.overview.viewSelector.onTextChanged;
}

function enable() {
    // Hide dash : We'll set width to 10 to correct apps placement
    Main.overview.dash.width = 10;
    Main.overview.dash.hide();

    // Hide search : We redefine functions so they'll not do stuff
    Main.overview.viewSelector.startSearch = function (event) { };
    Main.overview.viewSelector.onTextChanged = function (se, prop) { };
    Main.overview.searchEntry.hide();
}

function disable() {
    // Show dash
    Main.overview.dash.width = originalDashWidth;
    Main.overview.dash.show();

    // Show search
    Main.overview.viewSelector.startSearch = originalStartSearch;
    Main.overview.viewSelector.onTextChanged = originalOnTextChanged;
    Main.overview.searchEntry.show();
}

